Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.convert
Class DateTimeConverter

    java.lang.Object
      javax.faces.convert.DateTimeConverter

All Implemented Interfaces:
  Converter, StateHolder

public class DateTimeConverter
extends java.lang.Object
implements Converter, StateHolder

Version:
  $Revision: 290903 $ $Date: 2005-09-22 03:32:36 -0400 (Thu, 22 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: baranda $)

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`DateTimeConverter()`

Method Summary
`java.lang.Object` | `getAsObject(FacesContext facesContext, UIComponent uiComponent, java.lang.String value)`
`java.lang.String` | `getAsString(FacesContext facesContext, UIComponent uiComponent, java.lang.Object value)`
`java.lang.String` | `getDateStyle()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getTimeStyle()`
`java.util.TimeZone` | `getTimeZone()`
`java.lang.String` | `getType()`
`boolean` | `isTransient()`
`void` | `restoreState(FacesContext facesContext, java.lang.Object state)`
`java.lang.Object` | `saveState(FacesContext facesContext)`
`void` | `setDateStyle(java.lang.String dateStyle)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setTimeStyle(java.lang.String timeStyle)`
`void` | `setTimeZone(java.util.TimeZone timeZone)`
`void` | `setTransient(boolean aTransient)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### DateTimeConverter

    public DateTimeConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `Converter`

### getAsString

    public java.lang.String getAsString(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `Converter`

### restoreState

    public void restoreState(FacesContext facesContext,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`

### saveState

    public java.lang.Object saveState(FacesContext facesContext)

  Specified by:
    `saveState` in interface `StateHolder`

### getDateStyle

    public java.lang.String getDateStyle()

### setDateStyle

    public void setDateStyle(java.lang.String dateStyle)

### getLocale

    public java.util.Locale getLocale()

### setLocale

    public void setLocale(java.util.Locale locale)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getTimeStyle

    public java.lang.String getTimeStyle()

### setTimeStyle

    public void setTimeStyle(java.lang.String timeStyle)

### getTimeZone

    public java.util.TimeZone getTimeZone()

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `StateHolder`

### setTransient

    public void setTransient(boolean aTransient)

  Specified by:
    `setTransient` in interface `StateHolder`

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD